Summary:	Net-Arping module for perl 
Name:		perl-Net-Arping
Version:	0.02
Release:	%mkrel 6
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://www.cpan.org
Source0:	Net-Arping-%{version}.tar.bz2
Patch0:		perl-Net-Arping-0.02-overflow.patch
BuildRequires:	libnet1.0.2-devel
BuildRequires:	libpcap-devel
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The module contains function for testing remote host reachability
by sending ARP packets. The program must be run as root or be
setuid.

%prep

%setup -q -n Net-Arping-%{version} 
%patch0 -p0

%build

%{__perl} Makefile.PL INSTALLDIRS=vendor

%make OPTIMIZE="%{optflags}" CFLAGS="%{optflags}"

# got root?
#make test

%install
rm -rf %{buildroot}

%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorarch}/*
%{_mandir}/*/*


%changelog
* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 0.02-6mdv2008.1
+ Revision: 151416
- rebuild for perl-5.10.0

* Fri Jan 11 2008 Oden Eriksson <oeriksson@mandriva.com> 0.02-5mdv2008.1
+ Revision: 147964
- added P0 to fix #36669 (Buffer overflow when using perl-Net-Arping-0.02-4mdv2008.0)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Apr 27 2007 Oden Eriksson <oeriksson@mandriva.com> 0.02-4mdv2008.0
+ Revision: 18585
- rebuild


* Fri Mar 17 2006 Oden Eriksson <oeriksson@mandriva.com> 0.02-3mdk
- rebuilt against libnet1.0.2

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 0.02-2mdk
- rebuilt against new libpcap-0.9.1 (aka. a "play safe" rebuild)

* Thu Feb 10 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.02-1mdk
- initial Mandrakelinux package

